#include<bits/stdc++.h>
#include<iostream>
#include<string.h>
using namespace std;


int uporedi(string x, string y) 
{ 
    string prvi = x+y; 
    string drugi = y+x; 
    return prvi.compare(drugi);
}


int main()
{
	long long a,b,c;
	cin>>a>>b>>c;
	char sa[20],sb[20],sc[20];
	lltoa(a,sa,10);
	lltoa(b,sb,10);
	lltoa(c,sc,10);
	string stra,strb,strc;
	stra=sa;
	strb=sb;
	strc=sc;
	int max=0;
	if(uporedi(stra,strb)==1 && uporedi(stra,strc)==1) max=1;
	else if(uporedi(stra,strb)==-1 && uporedi(strb,strc)==1) max=2;
	else if(uporedi(stra, strc)==-1 && uporedi(strb,strc)==-1) max=3;
	if(max==1){
		cout<<stra;
		if(uporedi(strb,strc)==-1)cout<<strc<<strb;
		else cout<<strb<<strc;
	}	
	else if(max==2){
		cout<<strb;
		if(uporedi(stra,strc)==-1) cout<<strc<<stra;
		else cout<<stra<<strc;
	}
	else{
		cout<<strc;
		if(uporedi(stra,strb)==-1) cout<<strb<<stra;
		else cout<<stra<<strb;
	}
	return 0;
}